ru.bitel.bgbilling.modules.hd.server.task

## Class ZoneTaskUtils

- java.lang.Object
- - ru.bitel.bgbilling.modules.hd.server.task.ZoneTaskUtils

-     public class ZoneTaskUtils
      extends java.lang.Object

  Утильный класс для задач планировщика для работы с зонами. Методы класса создают файлы зон, мастер-файл, удаляют временные файлы зон, разбирают конфиг на составляющие и тд

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ZONE_TMP_DIR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZoneTaskUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `createMasterFile(java.util.List<Zone> zoneList)` Метод создает файл, который потом на сервере подключится к файлу named.conf.
    `static void` | `createZoneFile(Zone zone, java.util.Map<java.lang.String,java.lang.String> zoneFields)` Создание файла зоны для последующей отправки на сервер
    `static void` | `deleteTempFiles()` Метод удаляет врменный каталог .bgbilling/tmp/ и все файлы зон, содержащиеся в нем, после того, как они были загружены на сервер
    `static void` | `executeScript(java.lang.String command)` Метод запускает указанную команду
    `static java.util.Map<java.lang.String,java.lang.String>` | `getZoneContent(java.lang.String config)` Извлечение полей зоны из строки конфигурации
    `static void` | `setExecutable(java.lang.String scriptFile)` Метод устанавливает права запуска для файлов скриптов

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ZONE_TMP_DIR

          public static java.lang.String ZONE_TMP_DIR

  - ### Constructor Detail

    - #### ZoneTaskUtils

          public ZoneTaskUtils()

  - ### Method Detail

    - #### createZoneFile

          public static void createZoneFile(Zone zone,
                                            java.util.Map<java.lang.String,java.lang.String> zoneFields)

      Создание файла зоны для последующей отправки на сервер
      Parameters:
        `zone` - зона, для которой будет создаваться файл

    - #### createMasterFile

          public static void createMasterFile(java.util.List<Zone> zoneList)

      Метод создает файл, который потом на сервере подключится к файлу named.conf. В этом файле содержится список зон и ссылки на файлы, где расположена информация по указанной зоне

    - #### deleteTempFiles

          public static void deleteTempFiles()

      Метод удаляет врменный каталог .bgbilling/tmp/ и все файлы зон, содержащиеся в нем, после того, как они были загружены на сервер

    - #### getZoneContent

          public static java.util.Map<java.lang.String,java.lang.String> getZoneContent(java.lang.String config)

      Извлечение полей зоны из строки конфигурации
      Parameters:
        `config` - строка с конфигурацией зоны

    - #### executeScript

          public static void executeScript(java.lang.String command)

      Метод запускает указанную команду
      Parameters:
        `command` - строка запуска команды

    - #### setExecutable

          public static void setExecutable(java.lang.String scriptFile)

      Метод устанавливает права запуска для файлов скриптов
      Parameters:
        `scriptFile` - путь до файла скрипта